Subject: bug#9987: [PATCH] groups,id: add -0, --null option

From: Pádraig Brady <[email-masked]>
Date: Mon, 02 Sep 2013 15:03:20 +0100

unarchive 9987
stop

On 09/01/2013 10:35 PM, Bernhard Voelker wrote:
> The attached patch implements the -0,--null option for groups(1)
> and id(1) as discussed in
> 
>   http://bugs.gnu.org/9987

bug CC'd

> 
> and
> 
>   http://lists.gnu.org/archive/html/bug-coreutils/2011-11/msg00024.html
> 
> and as mentioned on Padraig's TODO list:
> 
>   http://www.pixelbeat.org/patches/coreutils/inbox_apr_2013.html
>   TODO --> "group -0 to support group names with spaces etc."

I'd not updated the TODO, but the details in 9987 above
suggested that -z, --zero would be better since most tools use that.

Also mentioned there was only honoring -z when the groups for
a single user were being output. I.E. no double NUL stuff.
But I'm not against the double NUL approach really.

It would be good I think to have a separate patch though
that aligned with other systems and didn't output the
"user:" at the start of the line when only a single user is specified.

thanks,
Pádraig.